Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Linux Tools Project » Any luck w/ oprofile plugin on Ubuntu Lucid w/ Eclipse Galileo(Can't get oprofile plugin to work on Lucid)
Any luck w/ oprofile plugin on Ubuntu Lucid w/ Eclipse Galileo [message #539668] Fri, 11 June 2010 18:39 Go to next message
MedZed  is currently offline MedZed Friend
Messages: 6
Registered: June 2010
Junior Member
Hi -
I followed all the directions on the install page and just can't seem to make the oprofile plugin for eclipse work. I'm trying to get it going on Ubuntu Lucid (10.04), w/ Eclipse Galileo (3.5). I was having problems as in the previous post, made the symlink as suggested, but now I get an error that says:

FATAL: An error occurred running opcontrol

Reason:
Error code of opcontrol indicates failure

Thoughts? Help?

Also - any chance this will ever work remotely?

M
Re: Any luck w/ oprofile plugin on Ubuntu Lucid w/ Eclipse Galileo [message #539671 is a reply to message #539668] Fri, 11 June 2010 19:26 Go to previous messageGo to next message
Andrew Overholt is currently offline Andrew OverholtFriend
Messages: 55
Registered: July 2009
Member
On Fri, 11 Jun 2010 14:39:27 -0400, MedZed <medvedm@zin-tech.com>
wrote:
> Also - any chance this will ever work remotely?

See http://bugs.eclipse.org/315505 We'd love help with it :) .

Andrew
Re: Any luck w/ oprofile plugin on Ubuntu Lucid w/ Eclipse Galileo [message #539695 is a reply to message #539668] Fri, 11 June 2010 21:16 Go to previous messageGo to next message
Roland Grunberg is currently offline Roland GrunbergFriend
Messages: 26
Registered: December 2009
Junior Member
MedZed wrote on Fri, 11 June 2010 14:39
Hi -
I followed all the directions on the install page and just can't seem to make the oprofile plugin for eclipse work. I'm trying to get it going on Ubuntu Lucid (10.04), w/ Eclipse Galileo (3.5). I was having problems as in the previous post, made the symlink as suggested, but now I get an error that says:

FATAL: An error occurred running opcontrol

Reason:
Error code of opcontrol indicates failure

Thoughts? Help?

Also - any chance this will ever work remotely?

M


Are you able to run opcontrol from the command line ?

opcontrol --image=/path/to/the/binary
opcontrol --start
/path/to/the/binary
opcontrol --stop

Does opreport -l give back any data about the run ?
Re: Any luck w/ oprofile plugin on Ubuntu Lucid w/ Eclipse Galileo [message #539835 is a reply to message #539668] Sun, 13 June 2010 21:04 Go to previous messageGo to next message
Roland Grunberg is currently offline Roland GrunbergFriend
Messages: 26
Registered: December 2009
Junior Member
After doing an install of the needed oprofile components on Ubuntu 10.04 as per this page : http://wiki.eclipse.org/Linux_Tools_Project/OProfile/User_Gu ide (specifically the Ubuntu extra build requirements), I was able to reproduce the error you are seeing.

In my case I traced the problem to an authentication issue (sudo: no tty present and no askpass program specified)

Specifically, If consolehelper is not installed, and after running the install-noconsolehelper install script (and adding yourself to the sudoers file with permission for running /usr/bin/opcontrol), any attempt to profile fails. Adding either :

Defaults visiblepw
or
Defaults askpass=/usr/bin/ssh-askpass

to the sudoers file fixed this for me. The former will prompt you for a password in the terminal that eclipse was started. The latter will use the use a gui prompt to ask you for your password (probably nicer). Hope this helps.
Re: Any luck w/ oprofile plugin on Ubuntu Lucid w/ Eclipse Galileo [message #541328 is a reply to message #539835] Sun, 20 June 2010 06:47 Go to previous messageGo to next message
Robert Simpson is currently offline Robert SimpsonFriend
Messages: 11
Registered: May 2010
Junior Member
Having rebuilt oprofile following my previous issue, I've now run into this problem as well. Your fix didn't work for me, I still get the same error.

The situation is pretty much the same as last time. Eclipse works fine except for profiling. Oprofile works fine from the command line. The plugin refuses to work

I noticed your opcontrol is in /usr/bin. Mine is in /usr/local/bin. Is this right?

I'm running Lucid 64. I understand this isn't as well supported as the 32 bit version. Which one are you using?

Thanks,

Rob.
Re: Any luck w/ oprofile plugin on Ubuntu Lucid w/ Eclipse Galileo [message #542024 is a reply to message #541328] Wed, 23 June 2010 14:53 Go to previous message
Roland Grunberg is currently offline Roland GrunbergFriend
Messages: 26
Registered: December 2009
Junior Member
Robert Simpson wrote on Sun, 20 June 2010 02:47
Having rebuilt oprofile following my previous issue, I've now run into this problem as well. Your fix didn't work for me, I still get the same error.

The situation is pretty much the same as last time. Eclipse works fine except for profiling. Oprofile works fine from the command line. The plugin refuses to work

I noticed your opcontrol is in /usr/bin. Mine is in /usr/local/bin. Is this right?

I'm running Lucid 64. I understand this isn't as well supported as the 32 bit version. Which one are you using?

Thanks,

Rob.



I was using Ubuntu 10.04 x86_64 and was able to get it working. I'm guessing if you're running opcontrol from /usr/local/bin then you're using the one that was compiled on your system (in making opxml). I'm using the opcontrol binary that came from the aptitude install. Though I don't think that would make the difference (considering yours seems to work). The only tricky part was satsifying the Ubuntu extra build requirements ( http://wiki.eclipse.org/Linux_Tools_Project/OProfile/User_Gu ide#Ubuntu_-_Extra_Requirements)
Re: Any luck w/ oprofile plugin on Ubuntu Lucid w/ Eclipse Galileo [message #569517 is a reply to message #541328] Wed, 23 June 2010 14:53 Go to previous message
Roland Grunberg is currently offline Roland GrunbergFriend
Messages: 26
Registered: December 2009
Junior Member
Robert Simpson wrote on Sun, 20 June 2010 02:47
> Having rebuilt oprofile following my previous issue, I've now run into this problem as well. Your fix didn't work for me, I still get the same error.
>
> The situation is pretty much the same as last time. Eclipse works fine except for profiling. Oprofile works fine from the command line. The plugin refuses to work
>
> I noticed your opcontrol is in /usr/bin. Mine is in /usr/local/bin. Is this right?
>
> I'm running Lucid 64. I understand this isn't as well supported as the 32 bit version. Which one are you using?
>
> Thanks,
>
> Rob.


I was using Ubuntu 10.04 x86_64 and was able to get it working. I'm guessing if you're running opcontrol from /usr/local/bin then you're using the one that was compiled on your system (in making opxml). I'm using the opcontrol binary that came from the aptitude install. Though I don't think that would make the difference (considering yours seems to work). The only tricky part was satsifying the Ubuntu extra build requirements ( http://wiki.eclipse.org/Linux_Tools_Project/OProfile/User_Gu ide#Ubuntu_-_Extra_Requirements)
Previous Topic:Refresh coverage
Next Topic:Linux Tools 0.6 released as part of Helios
Goto Forum:
  


Current Time: Wed Nov 26 10:32:43 GMT 2014

Powered by FUDForum. Page generated in 0.02559 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software